Page MenuHomePhabricator

Mangle whitespace of OOUI in MediaWiki's HTMLForm
Closed, ResolvedPublic

Description

Due to unresolved T97631 we're facing OOUI whitespace optimized for a base font-size of 12.8px resulting in core's HTMLForms with base font-size: 14px in action visually to spacious.
Let's try to address this specifically.

Examples:

BeforeAfter
Special:Block-
height of .mw-htmlform-ooui of 597.47px
resulting height of 517.22px
Special:Blocklist-
283.53px
254.41px

Event Timeline

Volker_E created this task.Oct 6 2017, 9:22 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 6 2017, 9:22 PM

Comments after originally resolving T107036 are playing into this.

Change 382853 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] HTMLForm: Rename file to ooui.styles.less and use LESS notation

https://gerrit.wikimedia.org/r/382853

Volker_E updated the task description. (Show Details)Oct 6 2017, 10:32 PM

Change 382861 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] HTMLForm: Explicitely set line-height to mangle excessive whitespace

https://gerrit.wikimedia.org/r/382861

Volker_E triaged this task as High priority.Oct 7 2017, 12:06 AM
Volker_E updated the task description. (Show Details)
Volker_E added a subscriber: Shawn.

Change 382853 merged by jenkins-bot:
[mediawiki/core@master] HTMLForm: Rename file to ooui.styles.less and use LESS notation

https://gerrit.wikimedia.org/r/382853

Volker_E updated the task description. (Show Details)Oct 7 2017, 1:30 AM

Change 382937 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] HTMLForms: Reduce padding on top as heading `line-height provides

https://gerrit.wikimedia.org/r/382937

Change 382861 merged by jenkins-bot:
[mediawiki/core@master] HTMLForm: Mangle excessive whitespace

https://gerrit.wikimedia.org/r/382861

Change 382937 merged by jenkins-bot:
[mediawiki/core@master] HTMLForms: Reduce padding on top as heading `line-height provides

https://gerrit.wikimedia.org/r/382937

Are we happy with the current state? Is this resolved?

Change 391354 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] Hide empty OOUI FieldsetLayout headers

https://gerrit.wikimedia.org/r/391354

Change 391354 merged by jenkins-bot:
[mediawiki/core@master] Hide empty OOUI FieldsetLayout headers

https://gerrit.wikimedia.org/r/391354

I'm also wondering what is left to do here...

Restricted Application added a project: UI-Standardization. · View Herald TranscriptDec 19 2017, 4:40 PM
Volker_E moved this task from Unsorted to OOUI on the UI-Standardization board.Dec 21 2017, 4:57 PM

Change 423196 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] Unify distances with new base font-size

https://gerrit.wikimedia.org/r/423196

Change 423196 merged by jenkins-bot:
[mediawiki/core@master] OOUIHTMLForm styles: Unify spacing aligned to new base font-size

https://gerrit.wikimedia.org/r/423196

Volker_E closed this task as Resolved.Apr 3 2018, 8:31 PM
Volker_E removed a project: Patch-For-Review.

@Aklapper Nothing's left on a general form level now. All other improvements are form-specific.

Volker_E raised the priority of this task from High to Needs Triage.Apr 3 2018, 8:33 PM
Volker_E moved this task from Doing… to Done on the UI-Standardization-Kanban board.